Developer Portal
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
  1. Screening
  • Start Here
    • Overview
    • Getting started
    • Authentication
    • Testing
    • Errors & status codes
    • FAQ
  • General
    • Retrieve a list of vessels
    • Additional entity search
  • Screening
    • Screening a vessel
    • Watchlist checks
    • Additional checks
    • Movement history
    • Carbon rating
    • Submit a vessel for screening
      POST
    • Retrieve a list of transactions and their screening results
      GET
    • Ship & Flag Watchlist check
      GET
    • Company Watchlist check
      GET
    • Country Sanctions check
      GET
    • Ship movement history
      GET
    • Ship-to-Ship (STS) pairing screening
      GET
    • Company history check
      GET
    • P&I Club check
      GET
    • Vessel operational status
      GET
    • Flag history check
      GET
    • AIS positional discrepancy (spoofing) events
      GET
    • Periods of Non-Reporting
      GET
    • Carbon rating details
      GET
    • Get the PurpleTRAC Screening Report PDF
      GET
    • Submit a vessel for rescreening
      PUT
    • Archive a Screening
      PUT
  • Tracking
    • Voyage updates
    • Notification catalogue
    • Additional entities
    • Tracking a vessel
    • Enable a vessel for tracking
    • Remove additional entities from a tracked vessel
    • Add additional entities to a tracked vessel
    • List the additional entities on a transaction
    • Update voyage and tracking details
    • Get vessel positional data
    • Retrieve a list of vessel or bill of lading notifications
    • Get the PurpleTRAC Trade Report PDF
  • Bill of Lading
    • Carriers
    • Verification
    • Submit a Bill of Lading for screening
    • Get all BL Screening Results
    • Get a single BL screening result
    • Get the PurpleTRAC Bill of Lading Screening Report PDF
    • Enable tracking for a screened Bill of Lading
    • Get the PurpleTRAC Bill of Lading Tracking Report PDF
    • Disable tracking for a Bill of Lading
  • Containers
    • Screening
    • Carriers
    • Submit a Container for screening
    • Get all Container Screening Results
    • Archive Container
    • Get a single Container screening result
    • Get the Container report
  • Schemas
    • BLVGetAllResultsResponse
    • BLVScreeningResponse
    • BLVLastScreeningResult
    • BLVScreeningResultDetails
    • ContainerRegistrationBody
    • ContainerRegistrationResponse
    • ContainerGetAllResultsResponse
    • ContainerScreeningResponse
    • CarbonRatings
    • CarbonRating
    • CompanySanctions
    • CompanySanction
    • CountryChecks
    • CountryCheck
    • StsPairings
    • StsPairing
    • OtherAssociations
    • OtherAssociation
    • CompanyHistoryChecks
    • CompanyHistoryCheck
    • ShipStatuses
    • ShipStatus
    • FlagHistoryChecks
    • FlagHistoryCheck
    • PositionalDiscrepancies
    • PositionalDiscrepancy
    • DiscrepancyZone
    • DiscrepancyPort
    • NonReportingResponse
    • NonReporting
    • Notifications
    • Notification
    • BLVNotification
    • BLVPortFull
    • BLVPortFallback
    • PortCallHistory
    • PortCallHistoryItem
    • Positions
    • Position
    • PositionInfo
    • RegistrationResponse
    • ShipDetails
    • ShipSanctions
    • ShipSanction
    • VesselTrackingResponse
    • VesselTransactionsResponse
    • Transaction
    • TransactionPutBody
    • TransactionPutResponse
    • TransactionRescreenResponse
    • LastPosition
    • ScreeningNotification
    • ScreeningResult
    • UserDetails
    • UserProfile
    • Error
    • InvalidContainerNumberResponse
    • VesselRegistrationBody
    • VesselTrackingRequest
    • BLRegistrationBody
    • AdditionalEntitySearchResponse
    • AdditionalEntity
    • AdditionalEntitiesRequestSchema
    • TrackingAdditionalEntity
    • TrackingAdditionalEntitiesResponse
    • TrackingAdditionalEntityInput
    • TrackingAdditionalEntitiesPutBody
    • TrackingAdditionalEntitiesPutResponse
    • TrackingAdditionalEntitiesDeleteBody
    • RemovedAdditionalEntity
    • TrackingAdditionalEntitiesDeleteResponse
    • TrackingAdditionalEntityError
    • FeatureDisabledError
    • ObjectNotFoundError
    • TransactionValidationError
    • VoyageUpdateRequest
    • VoyageUpdateResponse
    • PTracMeta
    • PTracVessel
    • PTracVesselSearchResponse
    • DuplicateTransactionError
  1. Screening

Retrieve a list of transactions and their screening results

Production
https://api.polestar-production.com
Production
https://api.polestar-production.com
GET
https://api.polestar-production.com
/purpletrac/v1/transaction
Get the screening results of a single, some or all transactions. Results can be filtered by:
Transaction id to get a single screening result
Screening status
Vessel IMO number
Screening status
Custom client reference
Refer to Screening Vessels to see how this endpoint can be used in practice.

Request

Authorization
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Query Params

Responses

🟢200OK
application/json
Screening transactions on the account with their results, filtered and ordered by the parameters supplied.
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.polestar-production.com/purpletrac/v1/transaction?username=undefined&limit=undefined&offset=undefined&id=undefined&status__in=undefined&order_by=undefined&ship__imo_number=undefined&client_reference=undefined&api_key=%3Capi-key%3E'
Response Response Example
200 - Single Transaction
{
    "meta": {
        "limit": 100,
        "next": null,
        "offset": 0,
        "previous": null,
        "total_count": 1
    },
    "objects": [
        {
            "additional_entities": [],
            "ais_gap_status": "F",
            "arrival_date": null,
            "auto_deregister": true,
            "blv": null,
            "blv_id": null,
            "client_reference": "my custom reference",
            "closed_date": null,
            "container_screen_id": null,
            "creation_date": "2023-12-05T13:24:46Z",
            "departure_date": null,
            "departure_port": null,
            "destination_port": null,
            "has_gaps": true,
            "id": 2851188,
            "interim_ports": [],
            "last_position": {
                "creation_date": "2023-12-05 13:24:51.821866+00:00",
                "destination": "BD CGP",
                "destination_eta": "2023-12-08 10:00:00+00:00",
                "draught": 12.5,
                "heading": 330,
                "id": 650984983,
                "latitude": "12.627922",
                "longitude": "95.09446",
                "position_type": "AIS",
                "speed": "9.80",
                "status": null,
                "status_timestamp": "2023-12-05 12:59:54+00:00",
                "timestamp": "2023-12-05 12:59:54+00:00"
            },
            "notifications": [
                {
                    "acknowledged": false,
                    "comment": "",
                    "creation_date": "2023-12-05T13:25:04Z",
                    "event": "SCREENING_COMPLETE",
                    "event_date": "2023-12-05T13:25:04Z",
                    "id": 52459982,
                    "last_updated_date": "2023-12-05T13:25:04Z",
                    "related_text": "",
                    "resource_uri": "/api/v1/notification/52459982",
                    "severity": "WARNING",
                    "updated_since_creation": false
                }
            ],
            "num_notes": 0,
            "num_notifications": 1,
            "overall_severity": "WARNING",
            "registered_date": null,
            "registered_name": "9221126",
            "report_generation_complete": true,
            "resource_uri": "/api/v1/transaction/2851188",
            "screen_results": [
                {
                    "check": "COMPANY_SANCTIONS",
                    "creation_date": "2023-12-05T13:24:46Z",
                    "id": 14836107,
                    "resource_uri": "/api/v1/screenresult/14836107",
                    "result_code": null,
                    "status": "OK"
                },
                {
                    "check": "PSC_HISTORY",
                    "creation_date": "2023-12-05T13:24:46Z",
                    "id": 14836105,
                    "resource_uri": "/api/v1/screenresult/14836105",
                    "result_code": null,
                    "status": "OK"
                },
                {
                    "check": "SANCTIONS",
                    "creation_date": "2023-12-05T13:24:46Z",
                    "id": 14836106,
                    "resource_uri": "/api/v1/screenresult/14836106",
                    "result_code": null,
                    "status": "OK"
                },
                {
                    "check": "SHIP_MOVE_HIST",
                    "creation_date": "2023-12-05T13:24:46Z",
                    "id": 14836104,
                    "resource_uri": "/api/v1/screenresult/14836104",
                    "result_code": null,
                    "status": "WARNING"
                }
            ],
            "screening_expired": false,
            "screening_status": "WARNING",
            "ship": {
                "age": 22,
                "build_year": 2001,
                "call_sign": "S2AR2",
                "flag": {
                    "code": "BGD",
                    "iso_3166_1_alpha_2": "BD",
                    "name": "Bangladesh"
                },
                "id": 272962,
                "ship_status": "In Service/Commission",
                "image": "/ship-image/430441_2.jpg",
                "imo_number": "9221126",
                "length": 189,
                "mmsi": "405000251",
                "operator": "Vanguard Maritime Ltd",
                "registered_owner": "Vanguard Maritime Ltd",
                "resource_uri": "/api/v1/ship/272962",
                "ship_name": "STAR ROYAL",
                "ship_type": "Bulk Carrier",
                "status": "A",
                "weight": 29499
            },
            "status": "H",
            "tracking_expiry": null,
            "transceiver_domain": "",
            "transceiver_domain_id": "",
            "user": {
                "email": "firstname.lastname@example.com",
                "first_name": "firstname",
                "id": 6913,
                "last_name": "lastname",
                "resource_uri": "/api/v1/user/6913",
                "userprofile": {
                    "company_logo": null,
                    "help_index": "/help/Lender/Default.htm",
                    "language": null,
                    "mng_report_frequency": "NEVER",
                    "mobile_phone_number": "",
                    "office_phone_extension": "",
                    "office_phone_number": "",
                    "resource_uri": "/api/v1/userprofile/6905",
                    "role": "PU"
                }
            }
        }
    ]
}
Modified at 2026-09-18 08:35:54
Previous
Submit a vessel for screening
Next
Ship & Flag Watchlist check
Built with